# Backing

<mark style="color:orange;">**This page is under development**</mark>

### Overview

Use this reference for the backing contract inside SDscan.

It lists the currently exposed read and write commands for asset-backing and lending-related actions.

### Read functions

<details>

<summary>Read commands</summary>

1. DATA\_READ()
2. UNISWAP\_V2\_ROUTER()
3. \_UNISWAP\_V2\_ROUTER()
4. backingAsset()
5. collateral()
6. lendData(address)
7. loansBase(address)
8. loansToken(address)
9. oneTokentoBacking(uint256) - shows how much Asset Backing per 1 token is available
10. range()
11. uniswapV2Pair()

</details>

### Write functions

<details>

<summary>Write commands</summary>

1. convertAll(uint256,uint256,uint256)
2. extendLoan() - extend SmartLoan
3. flashLoan(uint256,address,bytes) - used for Smart Flash-Loan with 0.08% liquidity rate
4. liquifyForBacking(uint256)
5. loan(uint256) - Use this to take SmartLoan
6. repayLoan(uint256) - Use this to Repay SmartLoan
7. setFrontRunRange(uint256)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feg.io/smartdefi-tm-platform/token-launchpad/sdscan-tool/backing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
